•  » Outils
  •  » Plugin Digikam

#76 2019-11-03 19:17:10

Mat9
Invité

Re: Plugin Digikam

Merci @jauphrwa !

Pour résumer : modifier le fichier "include/constants.php" pour remplacer la valeur de "PHPWG_VERSION" par "2.9.9" (et pas seulement "2.9" !) au lieu de "2.10.1".

Et suivre la correction du bug dans Digikam : https://bugs.kde.org/show_bug.cgi?id=412944

#77 2019-11-03 20:36:45

jauphrwa
Membre
2019-11-03
3

Re: Plugin Digikam

Mat9 a écrit:

Merci @jauphrwa !

Pour résumer : modifier le fichier "include/constants.php" pour remplacer la valeur de "PHPWG_VERSION" par "2.9.9" (et pas seulement "2.9" !) au lieu de "2.10.1".

Et suivre la correction du bug dans Digikam : https://bugs.kde.org/show_bug.cgi?id=412944

Pas exactement !

Modifier le fichier Piwigo include/ws_functions/pwg.php à la ligne 127 pour que la fonction ws_getVersion() (API pwg.getVersion) renvoie '2.9.9' à la place de l'originale PHPWG_VERSION :

Code:

function ws_getVersion($params, &$service)
{
  //return PHPWG_VERSION;
  // erAck: digikam Piwigo export plugin is stupid, 2.10.1 < 2.4 ...
  return '2.9.9';
}

Attention, certain API vont tout de même renvoyer la version installée mais nous voilà avec un upload depuis Digikam rétabli ! ;-)

Hors ligne

  •  » Outils
  •  » Plugin Digikam

Pied de page des forums

Propulsé par FluxBB

github twitter facebook newsletter Faire un don Piwigo.org © 2002-2019 · Contact